POST Delete Candidate

This API marks a candidate for deletion and schedules the permanent deletion after 7 days.

Request URL

POST /candidate/delete

Body Parameters

{
    "email": "string"
}

Warning

Make sure to add your API key in Header of the request.

Parameters

Parameter

Type

Description

email

string

The candidate's email ID. This identifies the candidate record that should be deleted.

Response

  • A JSON response indicating whether the candidate was successfully scheduled for deletion.

  • If successful, the response also contains the task ID associated with the scheduled deletion job.

Important

The candidate will be scheduled for deletion after 7 days and the task ID will be returned in the response.

{
    "success": true,
    "message": "Candidate scheduled for deletion",
    "task_id": "string"
}

Error Responses

  • If the candidate email is invalid or not found.

{
    "success": false,
    "error": "Candidate not found"
}